--log and plank items
------------------------------------------------------------------------
local S = minetest.get_translator("wood_and_saws")

minetest.register_craftitem("wood_and_saws:log_item",
{
	description = S("Log"),
	groups = {wood = 1, },
	_sawing_result = "plank 2",
	inventory_image = "wood_and_saws_log.png",
	stack_max = 128,
})
minetest.register_craftitem("wood_and_saws:ironwood_log_item",
{
	description = S("Ironwood Log"),
	groups = {wood = 1,},
	_sawing_result = "plank 2",
	inventory_image = "wood_and_saws_ironwood_log.png",
	stack_max = 128,
})
minetest.register_craftitem("wood_and_saws:plank_item",
{
	description = S("Plank"),
	groups = {wood = 1, },
	_sawing_result = "stick 2",
	inventory_image = "wood_and_saws_plank.png",
	stack_max = 128,
})
minetest.register_alias("log", "wood_and_saws:log_item")
minetest.register_alias("ironwood_log", "wood_and_saws:ironwood_log_item")
minetest.register_alias("plank", "wood_and_saws:plank_item")

crafting.register_recipe(
	{
		output = "ironwood_log",
		type = "inv",
		items = {"iron 2"},
		always_known = true,
	})
